%define		ver	.33.7.1

Summary:	Aspell is an Open Source spell checker
Summary(pl):	Aspell jest kontrolerem pisowni
Name:		aspell
Version:	0%{ver}
Release:	12
Epoch:		2
License:	LGPL
Group:		Applications/Text
Vendor:		Kevin Atkinson <kevinatk@home.com>
Source0:	ftp://ftp.sourceforge.net/pub/sourceforge/aspell/%{name}-%{ver}.tar.gz
Patch0:		ftp://ftp.sourceforge.net/pub/sourceforge/aspell/%{name}-.33-fix2.diff
Patch1:		%{name}-noinstalled.patch
Patch2:		%{name}-amfix.patch
URL:		http://aspell.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
BuildRequires:	pspell-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Obsoletes:	libaspell10

%description
Aspell is an Open Source spell checker designed to eventually replace
Ispell. Its main feature is that it does a much better job of coming
up with possible suggestions than Ispell does. In fact recent tests
shows that it even does better than Microsoft Word 97's spell checker
in some cases. In addition it has both compile time and run time
support for other non English languages. Aspell also doubles as a
powerful C++ library with C and Perl interfaces in the works.

%description -l pl
Aspell jest kontrolerem pisowni zaprojektowanym tak, by mc zastpi
ispella. Dodatkowo zawiera wsparcie dla innych jzykw ni angielski.
Interfejs aspella napisany zosta w C++, a interfejsy w Perlu i C s
aktualnie rozwijane.

%package devel
Summary:	Header files for aspell development
Summary(pl):	Pliki nagwkowe dla programistw uywajcych aspella
Group:		Development/Libraries
Requires:	%{name} = %{version}
Obsoletes:	libaspell10-devel

%description devel
Aspell is an Open Source spell checker. This package contains header
files for aspell development.

%description -l pl devel
Aspell jest kontrolerem pisowni. Ten pakiet zawiera pliki nagwkowe
dla programistw uywajcych bibliotek aspella.

%package static
Summary:	Static libraries for aspell development
Summary(pl):	Biblioteki statyczne aspella
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
Aspell is an Open Source spell checker. This package contains static
aspell libraries.

%description -l pl static
Aspell jest kontrolerem pisowni. Pakiet ten zawiera biblioteki
statyczne aspella.

%package en
Summary:	English dictionary for aspell
Summary(pl):	Angielski sownik dla aspella
Group:		Applications/Text
Requires:	%{name} = %{version}

%description en
English dictionary (i.e. word list) for aspell.

%description en -l pl
Angielski sownik (lista sw) dla aspella.

%prep
%setup -q -n %{name}-%{ver}
%patch0 -p0
%patch1 -p1
%patch2 -p1

%build
%{__libtoolize}
aclocal
%{__autoconf}
%{__automake}
%configure \
	--enable-shared \
	--enable-static

%{__make} 

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT{%{_bindir}/run-with-aspell,%{_datadir}/aspell/ispell}

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc manual/manual2.lyx manual/man-text/*.txt
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/libaspell.so.*.*
%attr(755,root,root) %{_libdir}/libpspell_aspell.so.*.*
%attr(755,root,root) %{_libdir}/libpspell_aspell.la
%dir %{_libdir}/aspell
%dir %{_datadir}/aspell
%{_datadir}/aspell/[^e]*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libaspell.so
%attr(755,root,root) %{_libdir}/libaspell.la
%{_includedir}/aspell

%files static
%defattr(644,root,root,755)
%{_libdir}/libaspell.a

%files en
%defattr(644,root,root,755)
%{_libdir}/aspell/*
%{_datadir}/aspell/english*
%{_datadir}/pspell/*
